<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmVault8 Interface
See Also Members Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : IEdmVault8 Interface

Visual Basic
C#
C++/CLI

Allows you to access a file vault.

NOTE: Click the Members link, located near the top of the topic, to see this interface's methods and properties.

# Syntax

Visual Basic |
--- | ---

    Public Interface IEdmVault8
       Inherits IEdmVault5, IEdmVault6, IEdmVault7

C# |
--- | ---

    public interface IEdmVault8 : IEdmVault5, IEdmVault6, IEdmVault7

C++/CLI |
--- | ---

    public interface class IEdmVault8 : public IEdmVault5, IEdmVault6, IEdmVault7

# Example

Destroy Deleted Files in Vault (C#)
Destroy Deleted Files in Vault (VB.NET)
Get and Set Folder Permissions (VB.NET)
Get and Set Folder Permissions (C#)
Set Initial Revision (VB.NET)
Set Initial Revision (C#)
Add Custom File Reference (VB.NET)
Add Custom File Reference (C#)

# Remarks

This interface:

- extends IEdmVault7.
- is extended by IEdmVault9.

# See Also

####

IEdmVault8 Members
EPDM.Interop.epdm Namespace